> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://mailchimp.com/developer/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/developer/_mcp/server.

# Get survey report

GET https://api.mailchimp.com/3.0/reporting/surveys/{survey_id}

Get report for a survey.

Reference: https://mailchimp.com/developer/marketing/api/reporting/get-survey

## Authentication

- `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token)
- `Authorization` header (bearer token, required) — Authorization using OAuth

## Request

### Path parameters

- `survey_id` (string, required) — The ID of the survey.

### Query parameters

- `fields` (list of string, optional) — A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.
- `exclude_fields` (list of string, optional) — A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

## Response

### 200

Survey Report Instance

- `created_at` (datetime, optional) — The date and time the survey was created in ISO 8601 format.
- `id` (string, optional) — A string that uniquely identifies this survey.
- `list_id` (string, optional) — The ID of the list connected to this survey.
- `list_name` (string, optional) — The name of the list connected to this survey.
- `published_at` (datetime, optional) — The date and time the survey was published in ISO 8601 format.
- `status` (enum, optional) — The survey's status.
  - Allowed values: `published`, `unpublished`
- `title` (string, optional) — The title of the survey.
- `total_responses` (integer, optional) — The total number of responses to this survey.
- `updated_at` (datetime, optional) — The date and time the survey was last updated in ISO 8601 format.
- `url` (string, optional) — The URL for the survey.
- `web_id` (integer, optional) — The ID used in the Mailchimp web application. View this survey report in your Mailchimp account at `https://{dc}.admin.mailchimp.com/lists/surveys/results?survey_id={web_id}`.

## Examples

**Response**

```json
{
  "created_at": "2017-08-04T11:09:01+00:00",
  "id": "040d2c2e1f0",
  "list_id": "string",
  "list_name": "string",
  "published_at": "2017-08-04T11:09:01+00:00",
  "status": "published",
  "title": "New product ideas",
  "total_responses": 810,
  "updated_at": "2017-08-04T11:09:01+00:00",
  "url": "string",
  "web_id": 165
}
```

**SDK Code**

```python
import requests

url = "https://api.mailchimp.com/3.0/reporting/surveys/survey_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.mailchimp.com/3.0/reporting/surveys/survey_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.mailchimp.com/3.0/reporting/surveys/survey_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.mailchimp.com/3.0/reporting/surveys/survey_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.mailchimp.com/3.0/reporting/surveys/survey_id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.mailchimp.com/3.0/reporting/surveys/survey_id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.mailchimp.com/3.0/reporting/surveys/survey_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.mailchimp.com/3.0/reporting/surveys/survey_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```